/*
  Copyright 2014 Google LLC All rights reserved.

  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at:

    http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/


/*
   american fuzzy lop - a trivial program to test the build
   --------------------------------------------------------

   Written and maintained by Michal Zalewski <lcamtuf@google.com>
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

// 定义程序的主函数，接收命令行参数个数（argc）和参数值（argv）
int main(int argc, char** argv) {

    // 定义一个字符数组buf，大小为8，用于存储从标准输入读取的数据
    char buf[8];

    // 尝试从文件描述符0（标准输入）读取最多8个字节的数据到buf中
    if (read(0, buf, 8) < 1) {
        // 如果读取的字节数小于1（即读取失败），则打印消息并退出程序
        printf("Hum?\n");
        exit(1);
    }

    // 检查buf的第一个字符是否为'0'
    if (buf[0] == '0')
        // 如果是'0'，则打印一条消息表示检测到零值
        printf("Looks like a zero to me!\n");
    else
        // 如果不是'0'，则打印一条消息表示检测到非零值
        printf("A non-zero value? How quaint!\n");

    // 正常退出程序
    exit(0);

}
